/* KallistiOS 1.1.5

   dci/fs/iso9660.h
   (c)2000-2001 Dan Potter

   $Id: fs_iso9660.h,v 1.1.1.1 2001/09/26 07:05:12 bardtx Exp $
*/

#ifndef __DC_FS_ISO9660_H
#define __DC_FS_ISO9660_H

#include <arch/types.h>
#include <kos/limits.h>
#include <kos/fs.h>

#define MAX_ISO_FILES 8

/* Prototypes */
uint32	iso_open(const char *path, int flags);
void	iso_close(uint32 fd);
ssize_t	iso_read(uint32 fd, void *buf, size_t count);
off_t	iso_seek(uint32 fd, off_t offset, int whence);
off_t	iso_tell(uint32 fd);
size_t	iso_total(uint32 fd);
int	iso_ioctl(uint32 fd, void *data, size_t size);

dirent_t *iso_readdir(uint32 fd);

int fs_iso9660_init();
int fs_iso9660_shutdown();


#endif	/* __DC_FS_ISO9660_H */
